Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 156969 - gnome-sound-recorder segfaults in startup
Summary: gnome-sound-recorder segfaults in startup
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-media
Version: 3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: John (J5) Palmieri
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-05 18:29 UTC by D. Hugh Redelmeier
Modified: 2013-03-13 04:48 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-02-08 04:18:57 UTC


Attachments (Terms of Use)

Description D. Hugh Redelmeier 2005-05-05 18:29:00 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050323 Firefox/1.0.2 Fedora/1.0.2-1.3.1

Description of problem:
On my system (FC3, with all updates as of 2005 March 26), gnome-sound-recorder segfaults on startup.  Could well be triggered by misconfiguration, but the behviour doesn't give me sufficient clues to diagnose the problem.


Version-Release number of selected component (if applicable):
gnome-media-2.8.0-3.FC3.1

How reproducible:
Always

Steps to Reproduce:
1.  gnome-sound-recorder  

Actual Results:  
(gnome-sound-recorder:12565): Gtk-CRITICAL **: file gtkliststore.c: line 570 (gt
k_list_store_get_value): assertion `GTK_LIST_STORE (tree_model)->stamp == iter->
stamp' failed

(gnome-sound-recorder:12565): GLib-GObject-WARNING **: gtype.c:3350: type id `0'
 is invalid

(gnome-sound-recorder:12565): GLib-GObject-WARNING **: can't peek value table fo
r type `<invalid>' which is not currently referenced
Segmentation fault


Expected Results:  just work

Additional info:

gdb traceback:
(gdb) where
#0  0x002c4acc in gtk_tree_model_get_valist () from /usr/lib/libgtk-x11-2.0.so.0
#1  0x002c4d3d in gtk_tree_model_get () from /usr/lib/libgtk-x11-2.0.so.0
#2  0x00a599a9 in gm_audio_profile_choose_get_active () from /usr/lib/libgnome-media-profiles.so.0
#3  0x0804e4b9 in gsr_window_close ()
#4  0x0804f840 in gsr_window_new ()
#5  0x0804b796 in gsr_open_window ()
#6  0x0804baef in main ()

Comment 1 Matthew Miller 2006-07-10 22:42:07 UTC
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!


Comment 2 petrosyan 2008-02-08 04:18:57 UTC
Fedora Core 3 is not maintained anymore.

Setting status to "INSUFFICIENT_DATA". If you can reproduce this bug in the
current Fedora release, please reopen this bug and assign it to the
corresponding Fedora version.


Note You need to log in before you can comment on or make changes to this bug.